View Issue Details

IDProjectCategoryView StatusLast Update
0011317FPCCompilerpublic2010-03-27 21:48
ReporterMarco van de VoortAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.3.1Product Build 
Target Version2.4.0Fixed in Version2.4.0 
Summary0011317: ppc386.cfg cleanup ?
DescriptionCurrently we still support ppc386.cfg besides fpc.cfg for legacy purposes. Maybe it is time to clean it up (e.g. in 2.4.0), there has been enough time to switch.

Already document announce to do this?
TagsNo tags attached.
Fixed in Revision13493
FPCOldBugId0
FPCTarget2.4.0
Attached Files

Activities

Florian

2008-05-18 10:02

administrator   ~0019471

I made a patch in 10993 which throws a warning if ppc386.cfg is still used.

Michael Van Canneyt

2008-05-19 22:28

administrator   ~0019506

Documentation updated.
Changed category to compiler and assigned to Florian.

Florian

2008-05-20 10:53

administrator   ~0019521

What shall I do with it :)?

Michael Van Canneyt

2008-05-20 13:39

administrator   ~0019527

Actually remove the support for ppc386.cfg when 2.4.0 is going to be released ?

Marco van de Voort

2008-05-23 21:31

manager   ~0019650

Last edited: 2008-05-23 21:31

I create a wiki with 2.4.0 todos, and added some other points too (oldlinux and sockets legacy)

http://wiki.freepascal.org/2.4.0_Release_preparation

Marco van de Voort

2009-01-19 11:42

manager   ~0024531

Is this warning in 2.2.x btw?

Florian

2009-08-06 21:44

administrator   ~0029597

Yes.

Issue History

Date Modified Username Field Change
2008-05-18 01:22 Marco van de Voort New Issue
2008-05-18 01:22 Marco van de Voort Status new => assigned
2008-05-18 01:22 Marco van de Voort Assigned To => Michael Van Canneyt
2008-05-18 01:22 Marco van de Voort FPCOldBugId => 0
2008-05-18 01:22 Marco van de Voort FPCTarget => -
2008-05-18 01:22 Marco van de Voort FPCTarget - => 2.4.0
2008-05-18 01:22 Marco van de Voort Description Updated
2008-05-18 10:02 Florian Note Added: 0019471
2008-05-19 22:28 Michael Van Canneyt Note Added: 0019506
2008-05-19 22:28 Michael Van Canneyt Assigned To Michael Van Canneyt => Florian
2008-05-19 22:28 Michael Van Canneyt Category Documentation => Compiler
2008-05-20 10:53 Florian Note Added: 0019521
2008-05-20 13:39 Michael Van Canneyt Note Added: 0019527
2008-05-23 21:31 Marco van de Voort Note Added: 0019650
2008-05-23 21:31 Marco van de Voort Note Edited: 0019650
2008-06-21 20:30 Florian Target Version => 2.4.0
2009-01-19 11:42 Marco van de Voort Note Added: 0024531
2009-08-06 21:44 Florian Note Added: 0029597
2009-08-06 21:48 Florian Fixed in Revision => 13493
2009-08-06 21:48 Florian Status assigned => resolved
2009-08-06 21:48 Florian Fixed in Version => 2.3.1
2009-08-06 21:48 Florian Resolution open => fixed
2010-03-27 21:48 Jonas Maebe Status resolved => closed